# Class: spamassassin::awl
#
#
class spamassassin::awl {
	include postgresql
	require baruwa::db
	postgresql::executesql{"awl-sql":
		username => $baruwa_pgsql_user,
		password => $baruwa_pgsql_passwd,
		database => $baruwa_pgsql_db,
		sql => template("spamassassin/awl.sql.erb"),
		sqlcheck => "\"SELECT tablename FROM pg_tables WHERE tablename ='awl'\" | grep awl",
	}

    $sqlcheck3 = "'\\dS awl'|grep -w timestamp"
    postgresql::executesql{"upgrade206.sql":
        username => $baruwa_pgsql_user,
		password => $baruwa_pgsql_passwd,
		database => $baruwa_pgsql_db,
		sql => template("spamassassin/upgrade206.sql.erb"),
		sqlcheck => $sqlcheck3,
		require => Exec["runsql-awl-sql"],
	}
}