# Class: etckeeper
#
#
class etckeeper {
    package { "etckeeper":
        ensure => installed,
        require => Package["git"],
    }

    package { "git":
        ensure => installed,
    }

    exec { "init-etckeeper":
        command => "etckeeper init",
        unless => "ls /etc/.git/config",
        require => Package["etckeeper"],
        cwd => "/etc",
    }

    exec { "initial-commit":
        command => "git add . && git commit -m 'Baruwa Enterprise Initial etckeeper commit'",
        require => Exec["init-etckeeper"],
        unless => "git log|grep 'Baruwa Enterprise Initial etckeeper commit'",
        cwd => "/etc",
    }
}